Subject: Re: [PATCH] apply: fix adding new files on i-t-a entries

From: Junio C Hamano <[email-masked]>
Date: Thu, 25 Jun 2015 06:07:44 -0700

Duy Nguyen <[email-masked]> writes:

> I think it's clear that you need to revert that commit. I didn't see
> this at all when I made the commit.

I didn't either, and no other reviewers did. But now we know it was
not sufficient, so let's see...

>> Perhaps a good and safe way forward to resurrect what d95d728a
>> wanted to do is to first add an option to tell run_diff_index() and
>> run_diff_files() which behaviour the caller wants to see, add that
>> only to the caller in wt-status.c?  Then incrementally pass that
>> option from more callsites that we are absolutely certain that want
>> this different worldview with respect to i-t-a?
>
> Agreed.

OK.  Perhaps then first I should do that revert and we'll
incrementally rebuild on top.

Thanks.